Bug Hunting Session
Bug 34827 - EDITING: no undo for visible area modifications
Summary: EDITING: no undo for visible area modifications
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2011-02-28 04:42 UTC by sasha.libreoffice
Modified: 2017-09-14 23:14 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
explanation and screenshots of undo problem (61.48 KB, application/vnd.oasis.opendocument.text)
2011-02-28 04:42 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-02-28 04:42:30 UTC
Created attachment 43922 [details]
explanation and screenshots of undo problem

To demonstrate this problem I have inserted picture in Writer as OLE-object. We can not undo object after editing. Maybe objects should be undoable. But only LibreOffoce-objects.
Used LibreOffice 3.3.1.2 Mandriva 64 bit Kde 4.4 and windows xp 32 bit
In attachment explanation and screenshots of undo problem.
Comment 1 Rainer Bielefeld Retired 2011-05-22 10:54:46 UTC
[Reproducible] with "LibreOffice 3.4.0RC1  – WIN7  Home Premium  (64bit) German UI [OOO340m1 (Build:11)]".
It's some  inconsequent / inconsistent OLE object view handling causing this problem.

After the object view has been modified in reporter's sample the "Save" icon appears, that shows that LibO has recognized that the document has been modified. But there is no undo possibility, and that is wrong.

This IMHO is an aspect of a more general problem I reported as a.m. OOo bug. 

For me that's not trivial. If yo edit a linked (in many documents) DRAW object, you will become desperate trying to get in to the correct position in all documents. I have learned to live with that prolbem (co not edit objects, create new ones for use in later documents), but it's dissatisfying.
Comment 2 Björn Michaelsen 2011-12-23 11:47:17 UTC Comment hidden (obsolete)
Comment 3 sasha.libreoffice 2012-01-02 01:51:28 UTC
reproduced on LibO 3.5.0 beta 1
Comment 4 Rainer Bielefeld Retired 2012-01-02 02:03:56 UTC
@sasha:
Migt be a feature and not a bug?
When I enter a Textbox-"X", leave OLE object, Type "1234", I can undo that "1234" with the undo icon immediately or,when I enter the OLE object, the undo icon wil undo the "x". That looks like independent undo stacks, and that IMHO is rather useful.

What do you think?
Comment 5 sasha.libreoffice 2012-01-02 02:20:57 UTC
If user intendedly changes OLE object, then this is indeed feature. But in this bugreport is another situation:
User unintendedly (accidentally) scrolled OLE object (not changed). Initial document becomes look different. And user press Ctrl+Z to restore it initial look. But nothing happens.
I expected that using Undo I can restore document to it initial look (state). My be all changes inside of OLE can appear as one step of undo outside of OLE.
Comment 6 Rainer Bielefeld Retired 2012-01-02 02:40:19 UTC
Indeed, now I understand my Comment 1 again.
Comment 7 A (Andy) 2014-03-08 21:33:58 UTC
for me not reproducible with LO 4.2.1.1 (Win 8.1)

This bug seems to be resolved in the latest release of LO.
Can anybody still confirm this bug?  Otherwise, I would propose to close this issue as Resolved.
Comment 8 sasha.libreoffice 2014-03-10 20:20:10 UTC
reproduced in 4.2.0 on Fedora (RFR) 64 bit
Comment 9 Joel Madero 2015-05-02 15:44:13 UTC Comment hidden (obsolete)
Comment 10 Buovjaga 2015-06-21 13:13:06 UTC
Repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 11 QA Administrators 2016-09-20 10:11:27 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920